package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;


public enum MessageTypeEnum {
    CRUD(0, "设备增删改查"),
    TRANSACTION(1, "设备消息类，数据域透传设备上行消息体");
    private Integer value;
    private String desc;

    MessageTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static MessageTypeEnum getByValue(Integer value) {
        for (MessageTypeEnum sendMsgTypeEnum : MessageTypeEnum.values()) {
            if (sendMsgTypeEnum.getValue() == value) {
                return sendMsgTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (MessageTypeEnum item : MessageTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}